package com.huatek.busi.service.gis;

import com.huatek.busi.dto.BusiOffllineGisBrandDto;
import com.huatek.busi.entity.BusiOfflineGisBrand;
import com.huatek.busi.vo.BusiOfflineGisBrandVo;

import java.util.List;

/**
 * GIS标牌信息表 Service
 *
 * @author walker_wang
 * @date Jul 4, 2019 1:50:14 PM
 */
public interface BusiOfflineGisBrandService {

    /**
     * 修改 GIS标牌信息表
     *
     * @param token token
     * @param busiOffllineGisBrandDto GIS标牌信息表Dto
     */
    int updateBusiOffllineGisBrand(String token, BusiOffllineGisBrandDto busiOffllineGisBrandDto);

    /**
     * 保存或更新主设备信息
     * 
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @param name
     *            主设备名称
     * @return
     */
    int saveOrUpdateBrand(String siteId, String mainEquipmentId, String name);

    /**
     * 通过systemCode查找 GIS标牌信息
     * @param systemCode
     * @return
     */
    BusiOfflineGisBrandVo findBusiOfflineGISBrand(String siteId, String mainTreeId);

    BusiOfflineGisBrandVo findBusiOfflineGISBrand(String siteId, String equLittleId, String equTypeId);
    
    List<BusiOfflineGisBrand> findAll();

    int insert(BusiOfflineGisBrand busiOfflineGisBrand);

    int update(BusiOfflineGisBrand busiOfflineGisBrand);

    void updateBrand(String equipmentId);
}
